import QtQuick 2.2
import QtQuick.Window 2.2

Window {
    visible:true
    /* Size of root window need to be rotated alread */

    Item {
        transform: Rotation {
            angle: -90
            origin.x: Screen.height / 2
            origin.y: Screen.height / 2
        }
        id: root
        width: Screen.height
        height: Screen.width

        Text {
            id: text
            text: qsTr("Hello World")
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.topMargin: 100
            anchors.top: parent.top
        }

        Rectangle {
            id: rect
            width: 100; height: 100
            border.color: "black"

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    rect.color = Qt.rgba(Math.random(), Math.random(), Math.random(), 1);
                }
            }
        }
        Rectangle {
            anchors.right: parent.right
            id: rect1
            width: 100; height: 100
            border.color: "black"

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    rect1.color = Qt.rgba(Math.random(), Math.random(), Math.random(), 1);
                }
            }
        }
        Rectangle {
            anchors.right: parent.right
            anchors.bottom: parent.bottom
            id: rect2
            width: 100; height: 100
            border.color: "black"

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    rect2.color = Qt.rgba(Math.random(), Math.random(), Math.random(), 1);
                }
            }
        }
        Rectangle {
            anchors.bottom: parent.bottom
            id: rect3
            width: 100; height: 100
            border.color: "black"

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    rect3.color = Qt.rgba(Math.random(), Math.random(), Math.random(), 1);
                }
            }
        }

        Rectangle {
            height: text.height * 1.2
            width: text.width * 3
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text.bottom
            anchors.topMargin: 20
            border.width: 2
            radius: 4
            border.color: "blue"

            TextInput {
                anchors.fill: parent
                anchors.margins: 4
                text: "Text input"
            }
        }
        Rectangle {
            height: text.height * 1.2
            width: text.width * 3
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text.bottom
            anchors.topMargin: 20
            border.width: 2
            radius: 4
            border.color: "blue"

            TextInput {
                anchors.fill: parent
                anchors.margins: 4
                text: "Text input 2"
            }
        }
    }
}
